Debian Bug report logs - #322091
ITA: bluefish -- advanced Gtk+ HTML editor

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>

Date: Tue, 9 Aug 2005 00:33:11 UTC

Owned by: Daniel Leidert <daniel.leidert.spam@gmx.net>

Severity: normal

Fixed in version bluefish/1.0.3-1

Done: Daniel Leidert (dale) <daniel.leidert@wgdd.de>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Davide Puricelli (evo) <evo@debian.org>, <wnpp@debian.org>:
Bug#322091; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
New Bug report received and forwarded. Copy sent to Davide Puricelli (evo) <evo@debian.org>, <wnpp@debian.org>. Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Jeroen van Wolffelaar <jeroen@wolffelaar.nl>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: O: bluefish -- advanced Gtk+ HTML editor
Date: Tue, 09 Aug 2005 02:29:54 +0200
Package: wnpp
Severity: normal

The current maintainer of bluefish, Davide Puricelli (evo) <evo@debian.org>,
has orphaned this package.  If you want to be the new maintainer, please
take it -- see http://www.debian.org/devel/wnpp/index.html#howto-o for
detailed instructions how to adopt a package properly.

Some information about this package:

Package: bluefish
Binary: bluefish
Version: 1.0-1
Priority: optional
Section: web
Maintainer: Davide Puricelli (evo) <evo@debian.org>
Build-Depends: debhelper (>= 4), autoconf, automake1.7, autotools-dev, gettext, libtool, libaspell-dev, libfreetype6-dev, libgnomevfs2-dev, libglib2.0-dev, libgtk2.0-dev, libpcre3-dev, libxml2-dev, zlib1g-dev
Build-Conflicts: autoconf2.13, automake1.4
Architecture: any
Standards-Version: 3.6.1.1
Format: 1.0
Directory: pool/main/b/bluefish
Files: 62c614836e9aefb0a11fc426560cbbc2 785 bluefish_1.0-1.dsc
 81b90cea4a4a460e7a972102f7edf0ea 1873473 bluefish_1.0.orig.tar.gz
 3ebe11e32d3b6b64ef13fe9277554947 15124 bluefish_1.0-1.diff.gz

Package: bluefish
Priority: optional
Section: web
Installed-Size: 5968
Maintainer: Davide Puricelli (evo) <evo@debian.org>
Architecture: i386
Version: 1.0-1
Depends: libart-2.0-2 (>= 2.3.16), libaspell15 (>= 0.60), libatk1.0-0 (>= 1.7.2), libbonobo2-0 (>= 2.8.0), libbonoboui2-0 (>= 2.5.4), libc6 (>= 2.3.2.ds1-21), libgconf2-4 (>= 2.8.1), libglib2.0-0 (>= 2.6.0), libgnome2-0 (>= 2.8.0), libgnomecanvas2-0 (>= 2.6.0), libgnomeui-0 (>= 2.8.0), libgnomevfs2-0 (>= 2.8.3-7), libgtk2.0-0 (>= 2.6.0), libice6 | xlibs (>> 4.1.0), liborbit2 (>= 1:2.10.0), libpango1.0-0 (>= 1.8.1), libpcre3 (>= 4.5), libpopt0 (>= 1.7), libsm6 | xlibs (>> 4.1.0), libxml2 (>= 2.6.16), zlib1g (>= 1:1.2.1)
Suggests: www-browser, weblint-perl | weblint, libxml2-utils, php4-cli
Filename: pool/main/b/bluefish/bluefish_1.0-1_i386.deb
Size: 1381328
MD5sum: a33bd887fd9c86fff7a6a0e035233532
Description: advanced Gtk+ HTML editor
 Bluefish is a GTK HTML editor for the experienced web designer.
 Its features include nice wizards for startup, tables and frame; a
 fully featured image insert dialog; thumbnail creation and automatically
 linking of the thumbnail with the original image; and configurable HTML
 syntax highlighting.
 .
 For validation to work you need weblint and xmllint. For preview to work,
 you need a web browser that can view local files given to it
 on the command line.
 .
 Homepage: http://bluefish.openoffice.nl/
Tag: interface::x11, format::html, use::editing, uitoolkit::gtk



Changed Bug title. Request was from Daniel Baumann <daniel.baumann@panthera-systems.net> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#322091; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Leo Antunes <costela@gmail.com>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #12 received at 322091@bugs.debian.org (full text, mbox):

From: Leo Antunes <costela@gmail.com>
To: 322091@bugs.debian.org
Cc: Daniel Baumann <daniel.baumann@panthera-systems.net>
Subject: Bluefish
Date: Wed, 10 Aug 2005 11:09:27 -0300
Hi,

I've noticed you intend to adopt 3 packages. If Bluefish is not very
important to you, I've done the last 3 NMUs for this package, talked to
Evo about taking it over and would like to do so.

This is - of course - no big deal, and if you really intend to adopt it,
by all means, go ahead!
If you need a sponsor for Bluefish, let me know, since I'm already
familiar with the package.

Cheers

-- 
Leo Antunes <costela@gmail.com>




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#322091; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Leo \"Costela\" Antunes" <costela@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #17 received at 322091@bugs.debian.org (full text, mbox):

From: "Leo \"Costela\" Antunes" <costela@debian.org>
To: daniel.baumann@panthera-systems.net
Cc: 322091@bugs.debian.org
Subject: Re: Bluefish
Date: Wed, 10 Aug 2005 11:43:42 -0300
[Message part 1 (text/plain, inline)]
On Qua, 2005-08-10 at 16:25 +0200, Daniel Baumann wrote:

> Just one hour ago, I did the 1.0.2 package, I'll upload it to my
> webserver when I come home this evening :) However, I would like to
> maintain it for real, so can I persuade you for a co-maintainership?
> Independently from that, I would be happy if you can sponsor the upload,
> as my normal sponsor is very busy atm.


Well, we got a mess here... I uploaded 1.0.2 last night, as my last NMU
for Evo, before he proposed for me to take over the package.
So you're gonna have to wait till the next version to take this over.

Even so, I'll gladly take a look at your package anyway, let me know
when it's up.
I don't think this package is complicated enough to actually need
co-maintainership, but it wouldn't harm. 
We can look at it again when a new version pops up, or some new bug
comes along.

Cheers

-- 

 Leo Antunes
 <costelaaa@ig.com.br> | <costela@debian.org> | <costela@gmail.com>
[Message part 2 (text/html, inline)]
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#322091; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Daniel Leidert <daniel.leidert.spam@gmx.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #22 received at 322091@bugs.debian.org (full text, mbox):

From: Daniel Leidert <daniel.leidert.spam@gmx.net>
To: 322091@bugs.debian.org
Cc: daniel.baumann@panthera-systems.net, costela@debian.org
Subject: Re: Bug#322091: Bluefish
Date: Wed, 10 Aug 2005 18:48:34 +0200
Am Mittwoch, den 10.08.2005, 11:43 -0300 schrieb Leo "Costela" Antunes:
> On Qua, 2005-08-10 at 16:25 +0200, Daniel Baumann wrote: 
> > Just one hour ago, I did the 1.0.2 package, I'll upload it to my
> > webserver when I come home this evening :) However, I would like to
> > maintain it for real, so can I persuade you for a co-maintainership?
> > Independently from that, I would be happy if you can sponsor the upload,
> > as my normal sponsor is very busy atm.
> 
> Well, we got a mess here... I uploaded 1.0.2 last night,

Short advice: The source contains obsolete bluefish_icon1.xpm and
doubled (bluefish.)postinst and (bluefish.)postrm. 

> as my last NMU for Evo, before he proposed for me to take over the
> package.
> So you're gonna have to wait till the next version to take this over.

1.0.3rc1 is out.

But I would suggest an alternative solution: I am member of the upstream
authors team and I am maintaining the Debian packaging files since a
while. Further I (try to) fix the mentioned bugs for bluefish directly
in the upstream. It is really no big deal to package bluefish. So maybe
it is a good or even the best solution, if I take over the
maintainership, because I am directly involved in upstream. I am no DD
so I would need a sponsor. If you have questions about my skills, please
ask. My (unofficial) packaging work for Debian can be found at
http://debian.wgdd.de/debian/. Please think about this offer and tell me
your opinion.

Regards, Daniel




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#322091; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to daniel.baumann@panthera-systems.net:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #27 received at 322091@bugs.debian.org (full text, mbox):

From: Daniel Baumann <daniel.baumann@panthera-systems.net>
To: Daniel Leidert <daniel.leidert.spam@gmx.net>
Cc: 322091@bugs.debian.org, costela@debian.org
Subject: Re: Bug#322091: Bluefish
Date: Wed, 10 Aug 2005 18:56:38 +0200
Daniel Leidert wrote:
> But I would suggest an alternative solution: I am member of the upstream
> authors team and I am maintaining the Debian packaging files since a
> while.

Go for it! :)

> Regards, Daniel

Regards, Daniel ^5

-- 
Address:        Daniel Baumann, Burgunderstrasse 3, CH-4562 Biberist
Email:          daniel.baumann@panthera-systems.net
Internet:       http://people.panthera-systems.net/~daniel-baumann/



Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#322091; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Leo \"Costela\" Antunes" <costela@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #32 received at 322091@bugs.debian.org (full text, mbox):

From: "Leo \"Costela\" Antunes" <costela@debian.org>
To: Daniel Leidert <daniel.leidert.spam@gmx.net>, daniel.baumann@panthera-systems.net
Cc: 322091@bugs.debian.org
Subject: Re: Bug#322091: Bluefish
Date: Wed, 10 Aug 2005 14:14:25 -0300
[Message part 1 (text/plain, inline)]
[it took me a while to understand it was a different 'Daniel' ;-) ]

On Qua, 2005-08-10 at 18:48 +0200, Daniel Leidert wrote:
> Short advice: The source contains obsolete bluefish_icon1.xpm and
> doubled (bluefish.)postinst and (bluefish.)postrm. 

Cool, I didn't want to step on Evo's shoes by removing stuff I didn't
think was usefull (but could have been somehow), so this cleaned up
version could be your first official upload.

> 1.0.3rc1 is out.

I don't think it's a good idea to upload RC-level versions, unless
you're pretty sure these versions are just for really minor bug solving.
Else they might end up generating unecessary and duplicated bug reports,
IMHO.

> But I would suggest an alternative solution: I am member of the upstream
> authors team and I am maintaining the Debian packaging files since a
> while. Further I (try to) fix the mentioned bugs for bluefish directly
> in the upstream. It is really no big deal to package bluefish. So maybe
> it is a good or even the best solution, if I take over the
> maintainership, because I am directly involved in upstream. I am no DD
> so I would need a sponsor. If you have questions about my skills, please
> ask. My (unofficial) packaging work for Debian can be found at
> http://debian.wgdd.de/debian/. Please think about this offer and tell me
> your opinion.

In this case I think it's really a good idea for you to be the
maintainer.
OTOH, it's generally regarded[1] as the best option not to include the
debian dir upstream, so it would be nice to remove it, if possible.

Is the version on your (Daniel Leidert's) site already cleaned up?

Just as a side question: Daniel Baumann is already in queue to become a
DD, what about Daniel Leidert? This is not really important, it's mainly
just curiosity so I can understand the future 'modus operandi' for the
uploads (Will I - or any other DD, for that matter - have to sponsor
each and every upload?).

Cheers

[1] allright, I'm to lazy to find the links to the discussions regarding
this, but I can find it if you reeeeally want to know =]

-- 

 Leo Antunes
 <costelaaa@ig.com.br> | <costela@debian.org> | <costela@gmail.com>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#322091; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Daniel Leidert <daniel.leidert.spam@gmx.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #37 received at 322091@bugs.debian.org (full text, mbox):

From: Daniel Leidert <daniel.leidert.spam@gmx.net>
To: "Leo \"Costela\" Antunes" <costela@debian.org>
Cc: daniel.baumann@panthera-systems.net, 322091@bugs.debian.org
Subject: Re: Bug#322091: Bluefish
Date: Wed, 10 Aug 2005 21:48:50 +0200
Am Mittwoch, den 10.08.2005, 14:14 -0300 schrieb Leo "Costela" Antunes:
> On Qua, 2005-08-10 at 18:48 +0200, Daniel Leidert wrote:
> > Short advice: The source contains obsolete bluefish_icon1.xpm and
> > doubled (bluefish.)postinst and (bluefish.)postrm. 
> 
> Cool, I didn't want to step on Evo's shoes by removing stuff I didn't
> think was usefull (but could have been somehow), so this cleaned up
> version could be your first official upload.

IMO postinst, postrm and bluefish_icon1.xpm were added by accident (they
are not part of the upstream source, because (of several reasons) there
are bluefish.postinst, bluefish.postrm and bluefish_icon.xpm). I always
updated the Debian packaging files to have a clean packaging process.

> > 1.0.3rc1 is out.
> 
> I don't think it's a good idea to upload RC-level versions,

Oh, of course. I only mentioned it because of your note about the next
release, which is currently prepared (fixes some critical bugs).

> unless
> you're pretty sure these versions are just for really minor bug solving.
> Else they might end up generating unecessary and duplicated bug reports,
> IMHO.
> 
> > But I would suggest an alternative solution: I am member of the upstream
> > authors team and I am maintaining the Debian packaging files since a
> > while. Further I (try to) fix the mentioned bugs for bluefish directly
> > in the upstream. It is really no big deal to package bluefish. So maybe
> > it is a good or even the best solution, if I take over the
> > maintainership, because I am directly involved in upstream. I am no DD
> > so I would need a sponsor. If you have questions about my skills, please
> > ask. My (unofficial) packaging work for Debian can be found at
> > http://debian.wgdd.de/debian/. Please think about this offer and tell me
> > your opinion.
> 
> In this case I think it's really a good idea for you to be the
> maintainer.
> OTOH, it's generally regarded[1] as the best option not to include the
> debian dir upstream,

I know. It was added a long time ago and I left it so others can prepare
the Debian package too (mainly for testing RCs and CVS). Because the CVS
is the source (not prepared from e.g. 'make dist'), it is not so easy to
remove it all.

> so it would be nice to remove it, if possible.

IMHO it was not a disadvantage till now (I mean only this special case),
so we could also leave it for now. But I agree, it should be changed in
future.

> Is the version on your (Daniel Leidert's) site already cleaned up?

These packages always contain some additional stuff (to send bug-reports
regarding my packages to me and not to the official BTS). The files in
the upstream source should be clean, so you only need to add a new
Changelog entry.

> Just as a side question: Daniel Baumann is already in queue to become a
> DD, what about Daniel Leidert? This is not really important, it's mainly
> just curiosity so I can understand the future 'modus operandi' for the
> uploads (Will I - or any other DD, for that matter - have to sponsor
> each and every upload?).

ATM I don't have the time for the whole action to become a DD, so I only
try to help. I would need a sponsor. But I use bluefish and I support
the development, so I think it will not become orphaned again soon :)

> [1] allright, I'm to lazy to find the links to the discussions regarding
> this, but I can find it if you reeeeally want to know =]

I read them too. It's ok.

Regards, Daniel




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#322091; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Leo \"Costela\" Antunes" <costela@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #42 received at 322091@bugs.debian.org (full text, mbox):

From: "Leo \"Costela\" Antunes" <costela@debian.org>
To: Daniel Leidert <daniel.leidert.spam@gmx.net>
Cc: daniel.baumann@panthera-systems.net, 322091@bugs.debian.org
Subject: Re: Bug#322091: Bluefish
Date: Wed, 10 Aug 2005 17:04:17 -0300
[Message part 1 (text/plain, inline)]
On Qua, 2005-08-10 at 21:48 +0200, Daniel Leidert wrote:

> > Is the version on your (Daniel Leidert's) site already cleaned up?
> 
> These packages always contain some additional stuff (to send bug-reports
> regarding my packages to me and not to the official BTS). The files in
> the upstream source should be clean, so you only need to add a new
> Changelog entry.

Allright then, when you get a clean version for upload into Debian, just
let me know and I'll sponsor it, no problem.
...As long as I'm free to bug you about new versions, just like I did
with Evo (and ended up building and uploading them myself, anyway) :-)

Cheers

-- 

 Leo Antunes
 <costelaaa@ig.com.br> | <costela@debian.org> | <costela@gmail.com>
[signature.asc (application/pgp-signature, inline)]

Owner recorded as Daniel Leidert <daniel.leidert.spam@gmx.net>. Request was from Matej Vela <vela@debian.org> to control@bugs.debian.org. Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Daniel Leidert <daniel.leidert.spam@gmx.net>:
Bug#322091; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Leo \"Costela\" Antunes" <costela@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Daniel Leidert <daniel.leidert.spam@gmx.net>. Full text and rfc822 format available.

Message #49 received at 322091@bugs.debian.org (full text, mbox):

From: "Leo \"Costela\" Antunes" <costela@debian.org>
To: Daniel Leidert <daniel.leidert.spam@gmx.net>
Cc: 322091@bugs.debian.org
Subject: Re: Bug#322091: Bluefish
Date: Tue, 23 Aug 2005 11:29:02 -0300
[Message part 1 (text/plain, inline)]
On Ter, 2005-08-23 at 04:15 +0200, Daniel Leidert wrote:
> Uploaded to my server. See http://debian.wgdd.de/temp/bluefish/ for
> source files. debian/control states, that you are the Uploader. 

Has this package been generated with a different source file?
I tried using the source file from the official site and it bails
because of a size difference.
Can you re-build it with the pristine sources?

Cheers

-- 

 Leo Antunes
 <costelaaa@ig.com.br> | <costela@debian.org> | <costela@gmail.com>
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>:
Bug#322091; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to Daniel Leidert <daniel.leidert.spam@gmx.net>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>. Full text and rfc822 format available.

Message #54 received at 322091@bugs.debian.org (full text, mbox):

From: Daniel Leidert <daniel.leidert.spam@gmx.net>
To: 322091@bugs.debian.org, "Leo \"Costela\" Antunes" <costela@debian.org>
Subject: Re: Bug#322091: Bluefish
Date: Tue, 23 Aug 2005 17:34:37 +0200
Am Dienstag, den 23.08.2005, 11:29 -0300 schrieb Leo "Costela" Antunes:
> On Ter, 2005-08-23 at 04:15 +0200, Daniel Leidert wrote:
> > Uploaded to my server. See http://debian.wgdd.de/temp/bluefish/ for
> > source files. debian/control states, that you are the Uploader. 
> 
> Has this package been generated with a different source file?

No. The source is
http://pkedu.fbt.eitn.wau.nl/~olivier/downloads/bluefish-1.0.3.tar.bz2

> I tried using the source file from the official site and it bails
> because of a size difference.

What did you try? Downloading the .tar.gz archive and ...?

> Can you re-build it with the pristine sources?

It is build from the pristine source.

Regards, Daniel




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Daniel Leidert <daniel.leidert.spam@gmx.net>:
Bug#322091; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Leo \"Costela\" Antunes" <costela@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Daniel Leidert <daniel.leidert.spam@gmx.net>. Full text and rfc822 format available.

Message #59 received at 322091@bugs.debian.org (full text, mbox):

From: "Leo \"Costela\" Antunes" <costela@debian.org>
To: Daniel Leidert <daniel.leidert.spam@gmx.net>
Cc: 322091@bugs.debian.org
Subject: Re: Bug#322091: Bluefish
Date: Tue, 23 Aug 2005 22:23:39 -0300
[Message part 1 (text/plain, inline)]
On Ter, 2005-08-23 at 23:14 +0200, Daniel Leidert wrote:
> Never seen this practice before. And it can be problematic, if you think
> about the practice of handling outdated
> automake/autoconf/intltool/gettext scripts/files. One possibility to
> handle this situation is, that the necessary applications are run once
> in the upstream source _before_ beginning the packaging process. So the
> scripts can be updated without increasing the size of the diff.gz. In
> this case, your practice will always fail.

You shouldn't need to run anything other than './configure && make &&
make install' (with a few tweaks) on a recently extracted tarball to
install it system-wide.
Automake/autoconf/intltool/etc, should be run _prior_ to release, and
shouldn't be outdated (but if they are, that's an upstream problem, not
Debian, even though we can - and some times should - work around it).

The original tarball generates a perfect package with very simple
changes, take a look at:
http://people.debian.org/~costela/debian/
You can download the dsc, diff and changes files from this site and the
tarball from upstream and run 'dpkg-source -x bluefish_1.0.3-1.dsc'.
It's clean, simple and cruft-free[1]. 
And already has you set up as the maintainer.

BTW, since you have upstream access, it would be a good idea to remove
the Debian dir from releases, as soon as possible.

Cheers

[1] The debian directory only needs these files: README.Debian,
bluefish.manpages, compat, copyright, rules, bluefish.1, changelog,
control, patches.
The rest is left-over from upstream, since diff doesn't handle deleted
files (illustrating another good reason not to have the /debian dir
upstream)

-- 

 Leo Antunes
 <costelaaa@ig.com.br> | <costela@debian.org> | <costela@gmail.com>
[signature.asc (application/pgp-signature, inline)]

Reply sent to Daniel Leidert (dale) <daniel.leidert@wgdd.de>:
You have taken responsibility. Full text and rfc822 format available.

Notification sent to Jeroen van Wolffelaar <jeroen@wolffelaar.nl>:
Bug acknowledged by developer. Full text and rfc822 format available.

Message #64 received at 322091-close@bugs.debian.org (full text, mbox):

From: Daniel Leidert (dale) <daniel.leidert@wgdd.de>
To: 322091-close@bugs.debian.org
Subject: Bug#322091: fixed in bluefish 1.0.3-1
Date: Wed, 24 Aug 2005 21:17:04 -0700
Source: bluefish
Source-Version: 1.0.3-1

We believe that the bug you reported is fixed in the latest version of
bluefish, which is due to be installed in the Debian FTP archive:

bluefish_1.0.3-1.diff.gz
  to pool/main/b/bluefish/bluefish_1.0.3-1.diff.gz
bluefish_1.0.3-1.dsc
  to pool/main/b/bluefish/bluefish_1.0.3-1.dsc
bluefish_1.0.3-1_i386.deb
  to pool/main/b/bluefish/bluefish_1.0.3-1_i386.deb
bluefish_1.0.3.orig.tar.gz
  to pool/main/b/bluefish/bluefish_1.0.3.orig.tar.gz



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 322091@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Daniel Leidert (dale) <daniel.leidert@wgdd.de> (supplier of updated bluefish package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.7
Date: Tue, 23 Aug 2005 03:02:29 +0200
Source: bluefish
Binary: bluefish
Architecture: source i386
Version: 1.0.3-1
Distribution: unstable
Urgency: low
Maintainer: Daniel Leidert (dale) <daniel.leidert@wgdd.de>
Changed-By: Daniel Leidert (dale) <daniel.leidert@wgdd.de>
Description: 
 bluefish   - advanced Gtk+ HTML editor
Closes: 185158 249639 295536 308849 313674 317239 322091
Changes: 
 bluefish (1.0.3-1) unstable; urgency=low
 .
   * New maintainer (closes: #322091).
   * Acknowledge NMU, thanks Leo (closes: #295536, #313674, #308849, #317239).
   * New upstream version 1.0.3 (closes: #249639, #185158).
   * A few fixes for the packaging files.
Files: 
 b65e9ab895db31032862daeb9e451008 849 web optional bluefish_1.0.3-1.dsc
 0ce1ad4b61e68aa0e44131be30fb6025 1965992 web optional bluefish_1.0.3.orig.tar.gz
 6fc3c28de4970409403d3303254ae7df 62256 web optional bluefish_1.0.3-1.diff.gz
 82ddef15e498d6eb8a59fede09421134 1540130 web optional bluefish_1.0.3-1_i386.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.1 (GNU/Linux)

iD8DBQFDDKntImLTb3rflGYRAnfIAKCgTpPMfROEjHWpVR1Irz2+Pohg0ACgkW7z
BB/NrYFOaShR0Eij6baXx6w=
=8qys
-----END PGP SIGNATURE-----




Information forwarded to debian-bugs-dist@lists.debian.org, <wnpp@debian.org>, Daniel Leidert <daniel.leidert.spam@gmx.net>:
Bug#322091; Package wnpp. Full text and rfc822 format available.

Acknowledgement sent to "Leo \"Costela\" Antunes" <costela@debian.org>:
Extra info received and forwarded to list. Copy sent to <wnpp@debian.org>, Daniel Leidert <daniel.leidert.spam@gmx.net>. Full text and rfc822 format available.

Message #69 received at 322091@bugs.debian.org (full text, mbox):

From: "Leo \"Costela\" Antunes" <costela@debian.org>
To: Daniel Leidert <daniel.leidert.spam@gmx.net>
Cc: 322091@bugs.debian.org
Subject: Re: Bug#322091: Bluefish
Date: Thu, 25 Aug 2005 11:20:33 -0300
[Message part 1 (text/plain, inline)]
On Qui, 2005-08-25 at 02:33 +0200, Daniel Leidert wrote:
> But that was not the problem you mentioned at the beginning of this
> discussion. "My" upstream archive contained the directory
> 'bluefish-1.0.3.orig' (which is normal, see e.g. cvs-buildpackage or
> dh_make), the upstream tarball the directory 'bluefish-1.0.3'. This made
> the difference in size, not the fact, that I run aclocal or autoconf. I
> run them during the rules/clean target. Of course, I can avoid this. But
> normally I like to have updated scripts. To not increase diff's size, I
> can run it, before I run dh_make. That is common practice. But then you
> will not be able to build the package against the upstream tarball.
(...)
> In general, I have no problem with that. This practice follows
> suggestions in /usr/share/doc/autotools-dev/README.Debian. I can change
> to run it only once. But then I have to do it, before I start the
> packaging process (means: before I run dh_make). But in this case, your
> practice, to build the package against the upstream tarball and not
> the .orig.tar.gz will fail.

You've been avoiding the main point.
It doesn't matter what lesser reasons you have, if you don't strictly
NEED to repackage it, DON'T do it.

See Policy 4.3 or the recent email to d-d-a[1]:
<quote>
* Do not repackage your orig.tar.gz unless you have to. If you need to
  remove files due to license issues - OK. But for example to have the
  directory in the tarball named pkgname-ver you DO NOT
  repackage. dpkg-source completly doesn't care for that.
</quote>

And the fact is, as I quickly proved by packaging it myself: you don't
NEED to repackage, you don't NEED to re-automake/libtoolize/etc it. It
works perfectly without ANY of these.

Keeping the diff size down is not a strong enough argument to warrant
any change to source and running automake/libtoolize/etc in the clean
target is one of the perfect situations to screw the autobuilders, so
it's also something to whatch out for.

And as a side note, dh_make is not supposed to be used everytime with
new upstream, it's supposed to be used once at the first package
creation and then use other tools to update the upstream source, like
uupdate or even manually (my case).

Cheers

[1] http://lists.debian.org/debian-devel-announce/2005/08/msg00011.html

-- 

 Leo Antunes
 <costelaaa@ig.com.br> | <costela@debian.org> | <costela@gmail.com>
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Tue, 19 Jun 2007 00:20:05 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Thu Apr 17 07:09:52 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.